import Foundation
import ServiceStack
// @DataContract
public class GetAccountStatus : BaseRequest
{
required public init(){ super.init() }
required public init(from decoder: Decoder) throws {
try super.init(from: decoder)
}
public override func encode(to encoder: Encoder) throws {
try super.encode(to: encoder)
}
}
// @DataContract
public class BaseRequest : IBaseRequest, Codable
{
/**
* The authentication credentials
*/
// @DataMember
// @ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body")
public var authentication:Authentication
required public init(){}
}
// @DataContract
public class Authentication : Codable
{
/**
* The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)
*/
// @DataMember
// @ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body")
public var apiUserId:String
/**
* The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)
*/
// @DataMember
// @ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body")
public var apiUserKey:String
/**
* The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).
*/
// @DataMember
// @ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body")
public var userId:String
required public init(){}
}
// @DataContract
public class GetAccountStatusResponse : Codable
{
/**
* The response data
*/
// @DataMember
// @ApiMember(Description="The response data")
public var data:GetAccountStatusData
required public init(){}
}
public class GetAccountStatusData : BaseResponse
{
/**
* The account status information
*/
// @ApiMember(Description="The account status information")
public var accountStatus:AccountStatus
required public init(){ super.init() }
private enum CodingKeys : String, CodingKey {
case accountStatus
}
required public init(from decoder: Decoder) throws {
try super.init(from: decoder)
let container = try decoder.container(keyedBy: CodingKeys.self)
accountStatus = try container.decodeIfPresent(AccountStatus.self, forKey: .accountStatus)
}
public override func encode(to encoder: Encoder) throws {
try super.encode(to: encoder)
var container = encoder.container(keyedBy: CodingKeys.self)
if accountStatus != nil { try container.encode(accountStatus, forKey: .accountStatus) }
}
}
public class BaseResponse : IBaseDataResponse, IHasResponseStatus, Codable
{
/**
* The status of the response
*/
// @ApiMember(Description="The status of the response")
public var responseStatus:ResponseStatus
required public init(){}
}
public class ArrayOfResponseError : List<ResponseError>
{
required public init(){ super.init() }
required public init(from decoder: Decoder) throws {
try super.init(from: decoder)
}
public override func encode(to encoder: Encoder) throws {
try super.encode(to: encoder)
}
}
public class AccountStatus : Codable
{
/**
* The account status (e.g. Unpaid, Active, Expired)
*/
// @ApiMember(Description="The account status (e.g. Unpaid, Active, Expired)")
public var status:String
/**
* The account type (e.g. live, developer, demo)
*/
// @ApiMember(Description="The account type (e.g. live, developer, demo)")
public var type:String
/**
* The account Expiry Date
*/
// @ApiMember(Description="The account Expiry Date")
public var expiryDate:Date?
/**
* The account Expiry Date as a string in ISO 8601 format
*/
// @ApiMember(Description="The account Expiry Date as a string in ISO 8601 format")
public var expiryDateUniversal:String
/**
* The account balance
*/
// @ApiMember(Description="The account balance")
public var balance:Double
/**
* The account search credit balance
*/
// @ApiMember(Description="The account search credit balance")
public var creditBalance:Int
/**
* The account DBS credit balance
*/
// @ApiMember(Description="The account DBS credit balance")
public var dbsBasicCreditBalance:Int
/**
* The list of enabled products for this account
*/
// @ApiMember(Description="The list of enabled products for this account")
public var products:[String]
/**
* The list of enabled capabilities for this account
*/
// @ApiMember(Description="The list of enabled capabilities for this account")
public var capabilities:[String]
required public init(){}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .soap12 suffix or ?format=soap12
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /soap12 HTTP/1.1
Host: api.simplified.id
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
<soap12:Body>
<GetAccountStatus xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.servicestack.net/types">
<Authentication>
<ApiUserId>String</ApiUserId>
<ApiUserKey>String</ApiUserKey>
<UserId>String</UserId>
</Authentication>
</GetAccountStatus>
</soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
<soap12:Body>
<GetAccountStatusResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.servicestack.net/types">
<Data>
<ResponseStatus>
<ErrorCode>String</ErrorCode>
<Message>String</Message>
<StackTrace>String</StackTrace>
<Errors>
<ResponseError>
<ErrorCode>String</ErrorCode>
<FieldName>String</FieldName>
<Message>String</Message>
<Meta xmlns:d6p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d6p1:KeyValueOfstringstring>
<d6p1:Key>String</d6p1:Key>
<d6p1:Value>String</d6p1:Value>
</d6p1:KeyValueOfstringstring>
</Meta>
</ResponseError>
</Errors>
<Meta xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>String</d4p1:Key>
<d4p1:Value>String</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</Meta>
</ResponseStatus>
<AccountStatus>
<Balance>0</Balance>
<Capabilities xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:string>String</d4p1:string>
</Capabilities>
<CreditBalance>0</CreditBalance>
<DBSBasicCreditBalance>0</DBSBasicCreditBalance>
<ExpiryDate>0001-01-01T00:00:00</ExpiryDate>
<ExpiryDateUniversal>String</ExpiryDateUniversal>
<Products xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:string>String</d4p1:string>
</Products>
<Status>String</Status>
<Type>String</Type>
</AccountStatus>
</Data>
</GetAccountStatusResponse>
</soap12:Body>
</soap12:Envelope>